unit AtConst;

interface
Type ST2 = string[2];
     ST20 = string[20];
type TAtom_Info = record
     Mendeleev_No :     byte;
     TPX_no :           byte;
     Formula :          ST2;
     Standard_Formula : ST20;
     Name             : ST20;
     Tmelt :            Double;
     Pmelt :            Double;
     Tboil :            Double;
     Density :          Double;
     DensUnit :         ST20;
     Tdens :            Double;
     Pot_Ion :          Double;
     Hmelt :            Double;
     Hvap :             Double;
     At_FS :            byte;
     Atomic_Mass :      Double;
     SnuclR :           Double;
     Mend_Group :       ST2;
     end;

const AtomicData : array[1..106] of TAtom_Info = (
{(Mendeleev_No: 87; TPX_No: 105; Formula: 'Fr'; Standard_Formula: 'Fr[]l';
 Tmelt: 289; Pmelt: 1.0; Tboil: 923; Density: 2.48; DensUnit: 'g/cm^3';
 Tdens: 293; Pot_Ion: 4.073; Hmelt: 2.0; Hvap: 64.0; At_FS: 1;
 Atomic_Mass: 223.02; SnuclR: 1.38629; Mend_Group: '1a'),
}
(Mendeleev_No:   1; TPX_No:   2; Formula: 'H'; Standard_Formula: 'H2'; Name : 'Hydrogen'; Tmelt: 13.957; Pmelt: 0.0719; Tboil: 20.38; Density: 0.08988; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 13.5985; Hmelt: 0.1172; Hvap: 0.9163; At_FS: 2; Atomic_Mass: 1.0079; SnuclR: 0.694679; Mend_Group: '1a'),
(Mendeleev_No:   2; TPX_No:  10; Formula: 'He'; Standard_Formula: 'He'; Name : 'Helium'; Tmelt: 1.764; Pmelt: 29.64; Tboil: 4.214; Density: 0.17; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 24.5876; Hmelt: 0.007234; Hvap: 0.084; At_FS: 1; Atomic_Mass: 4.0026; SnuclR: 0.000021; Mend_Group: '8a'),
(Mendeleev_No:   3; TPX_No: 100; Formula: 'Li'; Standard_Formula: 'Li[]c,l'; Name : 'Lithium'; Tmelt: 453.69; Pmelt: 1.000; Tboil: 1626; Density: 0.534; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.39176; Hmelt: 3.00; Hvap: 145; At_FS: 1; Atomic_Mass: 6.941; SnuclR: 1.6311; Mend_Group: '1a'),
(Mendeleev_No:   4; TPX_No:  94; Formula: 'Be'; Standard_Formula: 'Be[]c,l'; Name : 'Berillium'; Tmelt: 1560; Pmelt: 1.000; Tboil: 2744; Density: 1.85; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 9.32276; Hmelt: 12.60; Hvap: 291.2; At_FS: 1; Atomic_Mass: 9.01218; SnuclR: 1.38629; Mend_Group: '2a'),
(Mendeleev_No:   5; TPX_No:  30; Formula: 'B'; Standard_Formula: 'B[]c,l'; Name : 'Boron'; Tmelt: 2348; Pmelt: 1.000; Tboil: 4190; Density: 2.46; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 8.29853; Hmelt: 50.20; Hvap: 515; At_FS: 1; Atomic_Mass: 10.81; SnuclR: 1.99862; Mend_Group: '3a'),
(Mendeleev_No:   6; TPX_No:  25; Formula: 'C'; Standard_Formula: 'C[graphite]c,l'; Name : 'Carbon'; Tmelt: 4700; Pmelt: 42.0; Tboil: 3980; Density: 3.51; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 11.2604; Hmelt: 100; Hvap: 285; At_FS: 1; Atomic_Mass: 12.011; SnuclR: 0.0686911; Mend_Group: '4a'),
(Mendeleev_No:   7; TPX_No:  20; Formula: 'N'; Standard_Formula: 'N2'; Name : 'Nitrogen'; Tmelt: 63.15; Pmelt: 0.1236; Tboil: 77.35; Density: 1.17; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 14.5342; Hmelt: 0.721; Hvap: 5.586; At_FS: 2; Atomic_Mass: 14.0067; SnuclR: 1.121; Mend_Group: '5a'),
(Mendeleev_No:   8; TPX_No:   1; Formula: 'O'; Standard_Formula: 'O2'; Name : 'Oxygen'; Tmelt: 54.36; Pmelt: 1.000; Tboil: 90.188; Density: 1.33; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 13.6182; Hmelt: 0.446; Hvap: 6.828; At_FS: 2; Atomic_Mass: 15.9994; SnuclR: 0.0186727; Mend_Group: '6a'),
(Mendeleev_No:   9; TPX_No:   5; Formula: 'F'; Standard_Formula: 'F2'; Name : 'Fluorine'; Tmelt: 53.54; Pmelt: 1.000; Tboil: 85.02; Density: 1.58; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 17.4233; Hmelt: 0.51; Hvap: 6.54; At_FS: 2; Atomic_Mass: 18.9984; SnuclR: 0.693147; Mend_Group: '7a'),
(Mendeleev_No:  10; TPX_No:  11; Formula: 'Ne'; Standard_Formula: 'Ne'; Name : 'Neon'; Tmelt: 24.556; Pmelt: 1.000; Tboil: 27.15; Density: 0.84; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 21.5647; Hmelt: 0.33; Hvap: 1.795; At_FS: 1; Atomic_Mass: 20.179; SnuclR: 0.329746; Mend_Group: '8a'),
(Mendeleev_No:  11; TPX_No: 101; Formula: 'Na'; Standard_Formula: 'Na[]c,l'; Name : 'Sodium'; Tmelt: 371.01; Pmelt: 1.000; Tboil: 1159; Density: 0.97; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.13911; Hmelt: 2.598; Hvap: 90.1; At_FS: 1; Atomic_Mass: 22.98977; SnuclR: 1.38629; Mend_Group: '1a'),
(Mendeleev_No:  12; TPX_No:  95; Formula: 'Mg'; Standard_Formula: 'Mg[]c,l'; Name : 'Magnesium'; Tmelt: 923; Pmelt: 1.000; Tboil: 1368; Density: 1.74; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.64629; Hmelt: 8.50; Hvap: 127.8; At_FS: 1; Atomic_Mass: 24.305; SnuclR: 0.838653; Mend_Group: '2a'),
(Mendeleev_No:  13; TPX_No:  31; Formula: 'Al'; Standard_Formula: 'Al[]c,l'; Name : 'Aluminum'; Tmelt: 933.473; Pmelt: 1.000; Tboil: 2799; Density: 2.70; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.98581; Hmelt: 10.70; Hvap: 293.3; At_FS: 1; Atomic_Mass: 26.98154; SnuclR: 1.79176; Mend_Group: '3a'),
(Mendeleev_No:  14; TPX_No:  26; Formula: 'Si'; Standard_Formula: 'Si[]c,l'; Name : 'Silicon'; Tmelt: 1690.0; Pmelt: 1.000; Tboil: 3513; Density: 2.33; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 8.15172; Hmelt: 50.21; Hvap: 355; At_FS: 1; Atomic_Mass: 28.0855; SnuclR: 0.357746; Mend_Group: '4a'),
(Mendeleev_No:  15; TPX_No:  21; Formula: 'P'; Standard_Formula: 'P[w]c,l'; Name : 'Phosphorus'; Tmelt: 317.3; Pmelt: 1.000; Tboil: 530; Density: 1.82; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 10.4868; Hmelt: 0.659; Hvap: 13.05; At_FS: 1; Atomic_Mass: 30.97376; SnuclR: 0.693147; Mend_Group: '5a'),
(Mendeleev_No:  16; TPX_No:  16; Formula: 'S'; Standard_Formula: 'S[]c,l'; Name : 'Sulfur'; Tmelt: 388.36; Pmelt: 1.000; Tboil: 717.75; Density: 2.06; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 10.3600; Hmelt: 1.722; Hvap: 9.2; At_FS: 1; Atomic_Mass: 32.06; SnuclR: 0.229737; Mend_Group: '6a'),
(Mendeleev_No:  17; TPX_No:   6; Formula: 'Cl'; Standard_Formula: 'Cl2'; Name : 'Chlorine'; Tmelt: 172.12; Pmelt: 0.013; Tboil: 239.05; Density: 2.95; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 12.9680; Hmelt: 6.406; Hvap: 20.4; At_FS: 2; Atomic_Mass: 35.453; SnuclR: 1.94001; Mend_Group: '7a'),
(Mendeleev_No:  18; TPX_No:  12; Formula: 'Ar'; Standard_Formula: 'Ar'; Name : 'Argon'; Tmelt: 83.806; Pmelt: 0.680; Tboil: 87.29; Density: 1.78; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 15.7598; Hmelt: 1.19; Hvap: 6.51; At_FS: 1; Atomic_Mass: 39.948; SnuclR: 0.0285023; Mend_Group: '8a'),
(Mendeleev_No:  19; TPX_No: 102; Formula: 'K'; Standard_Formula: 'K[]c,l'; Name : 'Potassium'; Tmelt: 336.86; Pmelt: 1.000; Tboil: 1034; Density: 0.86; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 4.34070; Hmelt: 2.321; Hvap: 76.57; At_FS: 1; Atomic_Mass: 39.0983; SnuclR: 1.63399; Mend_Group: '1a'),
(Mendeleev_No:  20; TPX_No:  96; Formula: 'Ca'; Standard_Formula: 'Ca[]c,l'; Name : 'Calcium'; Tmelt: 1115.00; Pmelt: 1.000; Tboil: 1768; Density: 1.54; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.11322; Hmelt: 8.54; Hvap: 151.9; At_FS: 1; Atomic_Mass: 40.08; SnuclR: 0.167336; Mend_Group: '2a'),
(Mendeleev_No:  21; TPX_No:  62; Formula: 'Sc'; Standard_Formula: 'Sc[]c,l'; Name : 'Scandium'; Tmelt: 1814; Pmelt: 1.000; Tboil: 3100; Density: 2.99; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.56155; Hmelt: 14.1; Hvap: 314.3; At_FS: 1; Atomic_Mass: 44.9559; SnuclR: 2.07944; Mend_Group: '3b'),
(Mendeleev_No:  22; TPX_No:  59; Formula: 'Ti'; Standard_Formula: 'Ti[]c,l'; Name : 'Titanium'; Tmelt: 1944; Pmelt: 1.000; Tboil: 3640; Density: 4.51; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.83115; Hmelt: 14.6; Hvap: 409.2; At_FS: 1; Atomic_Mass: 47.9; SnuclR: 1.1852; Mend_Group: '4b'),
(Mendeleev_No:  23; TPX_No:  56; Formula: 'V'; Standard_Formula: 'V[]c,l'; Name : 'Vanadium'; Tmelt: 2220; Pmelt: 1.000; Tboil: 3680; Density: 6.09; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.73994; Hmelt: 23.0; Hvap: 450.8; At_FS: 1; Atomic_Mass: 50.9414; SnuclR: 2.09813; Mend_Group: '5b'),
(Mendeleev_No:  24; TPX_No:  53; Formula: 'Cr'; Standard_Formula: 'Cr[]c,l'; Name : 'Chromium'; Tmelt: 2180; Pmelt: 1.000; Tboil: 2960; Density: 7.14; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.76658; Hmelt: 21.3; Hvap: 328.8; At_FS: 1; Atomic_Mass: 51.996; SnuclR: 0.728295; Mend_Group: '6b'),
(Mendeleev_No:  25; TPX_No:  50; Formula: 'Mn'; Standard_Formula: 'Mn[]c,l'; Name : 'Manganese'; Tmelt: 1517; Pmelt: 1.000; Tboil: 2360; Density: 7.44; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.43408; Hmelt: 14.1; Hvap: 221.6; At_FS: 1; Atomic_Mass: 54.938; SnuclR: 1.79176; Mend_Group: '7b'),
(Mendeleev_No:  26; TPX_No:  41; Formula: 'Fe'; Standard_Formula: 'Fe[]c,l'; Name : 'Iron'; Tmelt: 1809; Pmelt: 1.000; Tboil: 3140; Density: 7.87; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.90258; Hmelt: 13.8; Hvap: 349.3; At_FS: 1; Atomic_Mass: 55.847; SnuclR: 0.356798; Mend_Group: '8b'),
(Mendeleev_No:  27; TPX_No:  42; Formula: 'Co'; Standard_Formula: 'Co[]c,l'; Name : 'Cobalt'; Tmelt: 1768; Pmelt: 1.000; Tboil: 3180; Density: 8.89; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.86654; Hmelt: 16.2; Hvap: 374.1; At_FS: 1; Atomic_Mass: 58.9332; SnuclR: 2.07944; Mend_Group: '8b'),
(Mendeleev_No:  28; TPX_No:  43; Formula: 'Ni'; Standard_Formula: 'Ni[]c,l'; Name : 'Nickel'; Tmelt: 1728; Pmelt: 1.000; Tboil: 3145; Density: 8.91; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.63749; Hmelt: 17.5; Hvap: 375.4; At_FS: 1; Atomic_Mass: 58.7; SnuclR: 0.839699; Mend_Group: '8b'),
(Mendeleev_No:  29; TPX_No:  38; Formula: 'Cu'; Standard_Formula: 'Cu[]c,l'; Name : 'Copper'; Tmelt: 1357.77; Pmelt: 1.000; Tboil: 2845; Density: 8.92; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.72643; Hmelt: 13.14; Hvap: 300.7; At_FS: 1; Atomic_Mass: 63.546; SnuclR: 2.00379; Mend_Group: '1b'),
(Mendeleev_No:  30; TPX_No:  35; Formula: 'Zn'; Standard_Formula: 'Zn[]c,l'; Name : 'Zinc'; Tmelt: 692.677; Pmelt: 1.000; Tboil: 1179; Density: 7.14; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 9.39428; Hmelt: 7.026; Hvap: 115.2; At_FS: 1; Atomic_Mass: 65.38; SnuclR: 1.25615; Mend_Group: '2b'),
(Mendeleev_No:  31; TPX_No:  32; Formula: 'Ga'; Standard_Formula: 'Ga[]c,l'; Name : 'Gallium'; Tmelt: 302.9146; Pmelt: 1.000; Tboil: 2484.51; Density: 5.91; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.99935; Hmelt: 5.552; Hvap: 259; At_FS: 1; Atomic_Mass: 69.72; SnuclR: 2.05931; Mend_Group: '3a'),
(Mendeleev_No:  32; TPX_No:  27; Formula: 'Ge'; Standard_Formula: 'Ge[]c,l'; Name : 'Germanium'; Tmelt: 1211.4; Pmelt: 1.000; Tboil: 3040; Density: 5.32; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.89950; Hmelt: 37.03; Hvap: 324.6; At_FS: 1; Atomic_Mass: 72.59; SnuclR: 1.62503; Mend_Group: '4a'),
(Mendeleev_No:  33; TPX_No:  22; Formula: 'As'; Standard_Formula: 'As[]c'; Name : 'Arsenic'; Tmelt: 1090; Pmelt: 35.50; Tboil: 888; Density: 5.72; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 9.81504; Hmelt: 21.8; Hvap: 31.8; At_FS: 1; Atomic_Mass: 74.9216; SnuclR: 1.38629; Mend_Group: '5a'),
(Mendeleev_No:  34; TPX_No:  17; Formula: 'Se'; Standard_Formula: 'Se[]c,l'; Name : 'Selenium'; Tmelt: 494.3; Pmelt: 1.000; Tboil: 958.5; Density: 4.82; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 9.75244; Hmelt: 6.159; Hvap: 29.0; At_FS: 1; Atomic_Mass: 78.9; SnuclR: 1.41466; Mend_Group: '6a'),
(Mendeleev_No:  35; TPX_No:   7; Formula: 'Br'; Standard_Formula: 'Br2[]l'; Name : 'Bromine'; Tmelt: 265.9; Pmelt: 0.0603; Tboil: 332.35; Density: 3.14; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 11.8141; Hmelt: 10.572; Hvap: 29.54; At_FS: 2; Atomic_Mass: 79.904; SnuclR: 2.07935; Mend_Group: '7a'),
(Mendeleev_No:  36; TPX_No:  13; Formula: 'Kr'; Standard_Formula: 'Kr'; Name : 'Krypton'; Tmelt: 115.776; Pmelt: 0.722; Tboil: 119.93; Density: 3.48; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 13.9997; Hmelt: 1.64; Hvap: 9.046; At_FS: 1; Atomic_Mass: 83.8; SnuclR: 1.4925; Mend_Group: '8a'),
(Mendeleev_No:  37; TPX_No: 103; Formula: 'Rb'; Standard_Formula: 'Rb[]c,l'; Name : 'Rubidium'; Tmelt: 312.47; Pmelt: 1.000; Tboil: 963; Density: 1.53; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 4.17717; Hmelt: 2.192; Hvap: 70.29; At_FS: 1; Atomic_Mass: 85.4678; SnuclR: 2.27026; Mend_Group: '1a'),
(Mendeleev_No:  38; TPX_No:  97; Formula: 'Sr'; Standard_Formula: 'Sr[]c,l'; Name : 'Strontium'; Tmelt: 1050; Pmelt: 1.000; Tboil: 1660; Density: 2.63; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.69490; Hmelt: 7.8; Hvap: 133.9; At_FS: 1; Atomic_Mass: 87.62; SnuclR: 0.76067; Mend_Group: '2a'),
(Mendeleev_No:  39; TPX_No:  63; Formula: 'Y'; Standard_Formula: 'Y[]c,l'; Name : 'Yttrium'; Tmelt: 1801; Pmelt: 1.000; Tboil: 3580; Density: 4.47; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.21711; Hmelt: 11.32; Hvap: 362; At_FS: 1; Atomic_Mass: 88.9059; SnuclR: 0.693147; Mend_Group: '3b'),
(Mendeleev_No:  40; TPX_No:  60; Formula: 'Zr'; Standard_Formula: 'Zr[]c,l'; Name : 'Zirconium'; Tmelt: 2133; Pmelt: 1.000; Tboil: 4630; Density: 6.51; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.79902; Hmelt: 13.7; Hvap: 552.6; At_FS: 1; Atomic_Mass: 91.22; SnuclR: 1.49509; Mend_Group: '4b'),
(Mendeleev_No:  41; TPX_No:  57; Formula: 'Nb'; Standard_Formula: 'Nb[]c,l'; Name : 'Niobium'; Tmelt: 2750; Pmelt: 1.000; Tboil: 5140; Density: 8.58; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.88205; Hmelt: 31.0; Hvap: 657.9; At_FS: 1; Atomic_Mass: 92.9064; SnuclR: 2.30259; Mend_Group: '5b'),
(Mendeleev_No:  42; TPX_No:  54; Formula: 'Mo'; Standard_Formula: 'Mo[]c,l'; Name : 'Molybdenum'; Tmelt: 2896; Pmelt: 1.000; Tboil: 4970; Density: 10.28; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.09958; Hmelt: 40.0; Hvap: 582.3; At_FS: 1; Atomic_Mass: 95.94; SnuclR: 2.34468; Mend_Group: '6b'),
(Mendeleev_No:  43; TPX_No:  51; Formula: 'Tc'; Standard_Formula: 'Tc[]c,l'; Name : 'Technetium'; Tmelt: 2473; Pmelt: 1.000; Tboil: 4900; Density: 11.49; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.28; Hmelt: 23.8; Hvap: 590; At_FS: 1; Atomic_Mass: 98.906; SnuclR: 2.56495; Mend_Group: '7b'),
(Mendeleev_No:  44; TPX_No:  44; Formula: 'Ru'; Standard_Formula: 'Ru[]c,l'; Name : 'Ruthenium'; Tmelt: 2607; Pmelt: 1.000; Tboil: 4610; Density: 12.45; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.36056; Hmelt: 38.3; Hvap: 557.2; At_FS: 1; Atomic_Mass: 101.07; SnuclR: 2.27074; Mend_Group: '8b'),
(Mendeleev_No:  45; TPX_No:  45; Formula: 'Rh'; Standard_Formula: 'Rh[]c,l'; Name : 'Rhodium'; Tmelt: 2237; Pmelt: 1.000; Tboil: 4090; Density: 12.41; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.45897; Hmelt: 27.3; Hvap: 470.5; At_FS: 1; Atomic_Mass: 102.9055; SnuclR: 0.693147; Mend_Group: '8b'),
(Mendeleev_No:  46; TPX_No:  46; Formula: 'Pd'; Standard_Formula: 'Pd[]c,l'; Name : 'Palladium'; Tmelt: 1827; Pmelt: 1.000; Tboil: 3040; Density: 12.02; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 8.33701; Hmelt: 16.9; Hvap: 331.7; At_FS: 1; Atomic_Mass: 106.4; SnuclR: 1.97993; Mend_Group: '8b'),
(Mendeleev_No:  47; TPX_No:  39; Formula: 'Ag'; Standard_Formula: 'Ag[]c,l'; Name : 'Silver'; Tmelt: 1234.93; Pmelt: 1.000; Tboil: 2436; Density: 10.49; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.57631; Hmelt: 10.92; Hvap: 251.9; At_FS: 1; Atomic_Mass: 107.868; SnuclR: 1.38562; Mend_Group: '1b'),
(Mendeleev_No:  48; TPX_No:  36; Formula: 'Cd'; Standard_Formula: 'Cd[]c,l'; Name : 'Cadmium'; Tmelt: 594.26; Pmelt: 1.000; Tboil: 1040; Density: 8.64; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 8.99390; Hmelt: 6.06; Hvap: 99.6; At_FS: 1; Atomic_Mass: 112.41; SnuclR: 1.94605; Mend_Group: '2b'),
(Mendeleev_No:  49; TPX_No:  33; Formula: 'In'; Standard_Formula: 'In[]c,l'; Name : 'Indium'; Tmelt: 429.7485; Pmelt: 1.0; Tboil: 2295; Density: 7.31; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.78641; Hmelt: 3.283; Hvap: 232.8; At_FS: 1; Atomic_Mass: 114.82; SnuclR: 2.47995; Mend_Group: '3a'),
(Mendeleev_No:  50; TPX_No:  28; Formula: 'Sn'; Standard_Formula: 'Sn[]c,l'; Name : 'Tin'; Tmelt: 505.078; Pmelt: 1.0; Tboil: 2880; Density: 7.29; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.34397; Hmelt: 7.195; Hvap: 505.1; At_FS: 1; Atomic_Mass: 118.69; SnuclR: 1.92087; Mend_Group: '4a'),
(Mendeleev_No:  51; TPX_No:  23; Formula: 'Sb'; Standard_Formula: 'Sb[]c,l'; Name : 'Antimony'; Tmelt: 903.91; Pmelt: 1.0; Tboil: 1907; Density: 6.69; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 8.6345; Hmelt: 20.200; Hvap: 903.9; At_FS: 1; Atomic_Mass: 121.75; SnuclR: 2.59705; Mend_Group: '5a'),
(Mendeleev_No:  52; TPX_No:  18; Formula: 'Te'; Standard_Formula: 'Te[]c,l'; Name : 'Tellurium'; Tmelt: 722.95; Pmelt: 1.0; Tboil: 1263; Density: 6.25; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 9.01388; Hmelt: 17.3; Hvap: 51.0; At_FS: 1; Atomic_Mass: 127.6; SnuclR: 1.56894; Mend_Group: '6a'),
(Mendeleev_No:  53; TPX_No:   8; Formula: 'I'; Standard_Formula: 'I2[]c,l'; Name : 'Iodine'; Tmelt: 386.75; Pmelt: 1.0; Tboil: 458.65; Density: 4.94; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 1.04515; Hmelt: 15.665; Hvap: 41.8; At_FS: 2; Atomic_Mass: 126.9045; SnuclR: 1.79176; Mend_Group: '7a'),
(Mendeleev_No:  54; TPX_No:  14; Formula: 'Xe'; Standard_Formula: 'Xe'; Name : 'Xenon'; Tmelt: 161.39; Pmelt: 1.0; Tboil: 165.3; Density: 5.49; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 12.12997; Hmelt: 2.29; Hvap: 12.64; At_FS: 1; Atomic_Mass: 131.3; SnuclR: 2.18131; Mend_Group: '8a'),
(Mendeleev_No:  55; TPX_No: 104; Formula: 'Cs'; Standard_Formula: 'Cs[]c,l'; Name : 'Cesium'; Tmelt: 301.59; Pmelt: 1.0; Tboil: 945; Density: 1.90; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 3.89394; Hmelt: 2.096; Hvap: 66.69; At_FS: 1; Atomic_Mass: 132.9054; SnuclR: 2.07944; Mend_Group: '1a'),
(Mendeleev_No:  56; TPX_No:  98; Formula: 'Ba'; Standard_Formula: 'Ba[]c,l'; Name : 'Barium'; Tmelt: 1000; Pmelt: 1.0; Tboil: 2210; Density: 3.65; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.21174; Hmelt: 7.12; Hvap: 147.3; At_FS: 1; Atomic_Mass: 137.33; SnuclR: 1.21374; Mend_Group: '2a'),
(Mendeleev_No:  57; TPX_No:  64; Formula: 'La'; Standard_Formula: 'La[]c,l'; Name : 'Lanthanum'; Tmelt: 1193; Pmelt: 1.0; Tboil: 3690; Density: 6.16; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.57698; Hmelt: 6.2; Hvap: 419; At_FS: 1; Atomic_Mass: 138.9055; SnuclR: 2.08694; Mend_Group: '3b'),
(Mendeleev_No:  58; TPX_No:  65; Formula: 'Ce'; Standard_Formula: 'Ce[]c,l'; Name : 'Cerium'; Tmelt: 1071; Pmelt: 1.0; Tboil: 3750; Density: 6.77; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.53871; Hmelt: 5.46; Hvap: 409; At_FS: 1; Atomic_Mass: 140.12; SnuclR: 0.382855; Mend_Group: '3b'),
(Mendeleev_No:  59; TPX_No:  66; Formula: 'Pr'; Standard_Formula: 'Pr[]c,l'; Name : 'Praseodymium'; Tmelt: 1205; Pmelt: 1.0; Tboil: 3505; Density: 6.48; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.46720; Hmelt: 6.9; Hvap: 352; At_FS: 1; Atomic_Mass: 140.9077; SnuclR: 1.79176; Mend_Group: '3b'),
(Mendeleev_No:  60; TPX_No:  67; Formula: 'Nd'; Standard_Formula: 'Nd[]c,l'; Name : 'Neodymium'; Tmelt: 1289; Pmelt: 1.0; Tboil: 3250; Density: 7.00; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.52503; Hmelt: 7.25; Hvap: 305; At_FS: 1; Atomic_Mass: 144.24; SnuclR: 2.21277; Mend_Group: '3b'),
(Mendeleev_No:  61; TPX_No:  68; Formula: 'Pm'; Standard_Formula: 'Pm[]c,l'; Name : 'Promethium'; Tmelt: 1315; Pmelt: 1.0; Tboil: 2590; Density: 7.22; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.56566; Hmelt: 7.7; Hvap: 221; At_FS: 1; Atomic_Mass: 145; SnuclR: 1.79176; Mend_Group: '3b'),
(Mendeleev_No:  62; TPX_No:  69; Formula: 'Sm'; Standard_Formula: 'Sm[]c,l'; Name : 'Samarium'; Tmelt: 1345; Pmelt: 1.0; Tboil: 2060; Density: 7.54; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.64370; Hmelt: 8.62; Hvap: 165; At_FS: 1; Atomic_Mass: 150.4; SnuclR: 2.39789; Mend_Group: '3b'),
(Mendeleev_No:  63; TPX_No:  70; Formula: 'Eu'; Standard_Formula: 'Eu[]c,l'; Name : 'Europium'; Tmelt: 1090; Pmelt: 1.0; Tboil: 1810; Density: 5.25; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.67045; Hmelt: 9.2; Hvap: 146; At_FS: 1; Atomic_Mass: 151.96; SnuclR: 2.48394; Mend_Group: '3b'),
(Mendeleev_No:  64; TPX_No:  71; Formula: 'Gd'; Standard_Formula: 'Gd[]c,l'; Name : 'Gadolinium'; Tmelt: 1585; Pmelt: 1.0; Tboil: 3550; Density: 7.89; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.15010; Hmelt: 9.6; Hvap: 364; At_FS: 1; Atomic_Mass: 157.25; SnuclR: 2.0954; Mend_Group: '3b'),
(Mendeleev_No:  65; TPX_No:  72; Formula: 'Tb'; Standard_Formula: 'Tb[]c,l'; Name : 'Terbium'; Tmelt: 1630; Pmelt: 1.0; Tboil: 3450; Density: 8.25; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.86384; Hmelt: 9.8; Hvap: 337; At_FS: 1; Atomic_Mass: 158.9254; SnuclR: 1.38629; Mend_Group: '3b'),
(Mendeleev_No:  66; TPX_No:  73; Formula: 'Dy'; Standard_Formula: 'Dy[]c,l'; Name : 'Dysprosium'; Tmelt: 1682; Pmelt: 1.0; Tboil: 2770; Density: 8.56; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.93898; Hmelt: 10.4; Hvap: 232; At_FS: 1; Atomic_Mass: 162.5; SnuclR: 2.2505; Mend_Group: '3b'),
(Mendeleev_No:  67; TPX_No:  74; Formula: 'Ho'; Standard_Formula: 'Ho[]c,l'; Name : 'Holmium'; Tmelt: 1747; Pmelt: 1.0; Tboil: 2960; Density: 8.78; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.02148; Hmelt: 11.5; Hvap: 249; At_FS: 1; Atomic_Mass: 164.9304; SnuclR: 2.07944; Mend_Group: '3b'),
(Mendeleev_No:  68; TPX_No:  75; Formula: 'Er'; Standard_Formula: 'Er[]c,l'; Name : 'Erbium'; Tmelt: 1802; Pmelt: 1.0; Tboil: 3090; Density: 9.05; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.10700; Hmelt: 20.001; Hvap: 273; At_FS: 1; Atomic_Mass: 167.26; SnuclR: 1.89117; Mend_Group: '3b'),
(Mendeleev_No:  69; TPX_No:  76; Formula: 'Tm'; Standard_Formula: 'Tm[]c,l'; Name : 'Thulium'; Tmelt: 1818; Pmelt: 1.0; Tboil: 2210; Density: 9.32; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.18434; Hmelt: 16.82; Hvap: 191; At_FS: 1; Atomic_Mass: 168.9342; SnuclR: 0.693147; Mend_Group: '3b'),
(Mendeleev_No:  70; TPX_No:  77; Formula: 'Yb'; Standard_Formula: 'Yb[]c,l'; Name : 'Ytterbium'; Tmelt: 1097; Pmelt: 1.0; Tboil: 1470; Density: 6.97; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.25419; Hmelt: 7.661; Hvap: 129; At_FS: 1; Atomic_Mass: 173.04; SnuclR: 2.03582; Mend_Group: '3b'),
(Mendeleev_No:  71; TPX_No:  78; Formula: 'Lu'; Standard_Formula: 'Lu[]c,l'; Name : 'Lutetium'; Tmelt: 1936; Pmelt: 1.0; Tboil: 3640; Density: 9.84; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.42588; Hmelt: 18.6; Hvap: 362; At_FS: 1; Atomic_Mass: 174.97; SnuclR: 2.21634; Mend_Group: '3b'),
(Mendeleev_No:  72; TPX_No:  61; Formula: 'Hf'; Standard_Formula: 'Hf[]c,l'; Name : 'Hafnium'; Tmelt: 2506; Pmelt: 1.0; Tboil: 4970; Density: 13.31; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.77829; Hmelt: 26.0; Hvap: 554; At_FS: 1; Atomic_Mass: 178.49; SnuclR: 2.17546; Mend_Group: '4b'),
(Mendeleev_No:  73; TPX_No:  58; Formula: 'Ta'; Standard_Formula: 'Ta[]c,l'; Name : 'Tantalum'; Tmelt: 3295; Pmelt: 1.0; Tboil: 5800; Density: 16.68; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.88727; Hmelt: 36.0; Hvap: 745; At_FS: 1; Atomic_Mass: 180.9479; SnuclR: 2.07944; Mend_Group: '5b'),
(Mendeleev_No:  74; TPX_No:  55; Formula: 'W'; Standard_Formula: 'W[]c,l'; Name : 'Tungsten'; Tmelt: 3695; Pmelt: 1.0; Tboil: 5970; Density: 19.26; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.98055; Hmelt: 46.0; Hvap: 799; At_FS: 1; Atomic_Mass: 183.85; SnuclR: 1.45596; Mend_Group: '6b'),
(Mendeleev_No:  75; TPX_No:  52; Formula: 'Re'; Standard_Formula: 'Re[]c,l'; Name : 'Rhenium'; Tmelt: 3460; Pmelt: 1.0; Tboil: 5870; Density: 21.03; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.76; Hmelt: 33.0; Hvap: 715; At_FS: 1; Atomic_Mass: 186.207; SnuclR: 2.45281; Mend_Group: '7b'),
(Mendeleev_No:  76; TPX_No:  47; Formula: 'Os'; Standard_Formula: 'Os[]c,l'; Name : 'Osmium'; Tmelt: 3300; Pmelt: 1.0; Tboil: 5520; Density: 22.61; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 8.42622; Hmelt: 31.8; Hvap: 748; At_FS: 1; Atomic_Mass: 190.2; SnuclR: 1.64719; Mend_Group: '8b'),
(Mendeleev_No:  77; TPX_No:  48; Formula: 'Ir'; Standard_Formula: 'Ir[]c,l'; Name : 'Iridium'; Tmelt: 2720; Pmelt: 1.0; Tboil: 4830; Density: 22.65; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 9.04808; Hmelt: 26.4; Hvap: 613; At_FS: 1; Atomic_Mass: 192.22; SnuclR: 2.04683; Mend_Group: '8b'),
(Mendeleev_No:  78; TPX_No:  49; Formula: 'Pt'; Standard_Formula: 'Pt[]c,l'; Name : 'Platinum'; Tmelt: 2045; Pmelt: 1.0; Tboil: 4200; Density: 21.45; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 8.92371; Hmelt: 19.7; Hvap: 510; At_FS: 1; Atomic_Mass: 195.09; SnuclR: 1.54298; Mend_Group: '8b'),
(Mendeleev_No:  79; TPX_No:  40; Formula: 'Au'; Standard_Formula: 'Au[]c,l'; Name : 'Gold'; Tmelt: 1337.33; Pmelt: 1.0; Tboil: 3130; Density: 19.32; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 9.22560; Hmelt: 12.67; Hvap: 331; At_FS: 1; Atomic_Mass: 196.9665; SnuclR: 1.38629; Mend_Group: '1b'),
(Mendeleev_No:  80; TPX_No:  37; Formula: 'Hg'; Standard_Formula: 'Hg[]l'; Name : 'Mercury'; Tmelt: 234.3; Pmelt: 1.0; Tboil: 630; Density: 13.55; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 10.43758; Hmelt: 2.295; Hvap: 59.2; At_FS: 1; Atomic_Mass: 200.59; SnuclR: 1.99373; Mend_Group: '2b'),
(Mendeleev_No:  81; TPX_No:  34; Formula: 'Tl'; Standard_Formula: 'Tl[]c,l'; Name : 'Thallium'; Tmelt: 576; Pmelt: 1.0; Tboil: 1740; Density: 11.85; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.10835; Hmelt: 4.2; Hvap: 164.1; At_FS: 1; Atomic_Mass: 204.37; SnuclR: 1.29972; Mend_Group: '3a'),
(Mendeleev_No:  82; TPX_No:  29; Formula: 'Pb'; Standard_Formula: 'Pb[]c,l'; Name : 'Lead'; Tmelt: 600.65; Pmelt: 1.0; Tboil: 2020; Density: 11.34; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.41631; Hmelt: 4.812; Hvap: 177.7; At_FS: 1; Atomic_Mass: 207.2; SnuclR: 1.22814; Mend_Group: '4a'),
(Mendeleev_No:  83; TPX_No:  24; Formula: 'Bi'; Standard_Formula: 'Bi[]c,l'; Name : 'Bismuth'; Tmelt: 544.59; Pmelt: 1.0; Tboil: 1825; Density: 9.80; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 7.2892599; Hmelt: 11.131; Hvap: 177.0; At_FS: 1; Atomic_Mass: 208.9804; SnuclR: 2.30259; Mend_Group: '5a'),
(Mendeleev_No:  84; TPX_No:  19; Formula: 'Po'; Standard_Formula: 'Po[]c,l'; Name : 'Polonium'; Tmelt: 527; Pmelt: 1.0; Tboil: 1235; Density: 9.20; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 8.417; Hmelt: 12.5; Hvap: 58.0; At_FS: 1; Atomic_Mass: 209.98; SnuclR: 0.693147; Mend_Group: '6a'),
(Mendeleev_No:  85; TPX_No:   9; Formula: 'At'; Standard_Formula: 'At2[]c,l'; Name : 'Astatine'; Tmelt: 500; Pmelt: 1.0; Tboil: 590; Density: 0; DensUnit: '-'; Tdens: 0; Pot_Ion: 9.5; Hmelt: 21.0; Hvap: 54.0; At_FS: 2; Atomic_Mass: 209.99; SnuclR: 0; Mend_Group: '7a'),
(Mendeleev_No:  86; TPX_No:  15; Formula: 'Rn'; Standard_Formula: 'Rn'; Name : 'Radon'; Tmelt: 202; Pmelt: 1.0; Tboil: 211.3; Density: 9.23; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 10.748591; Hmelt: 2.89; Hvap: 16.8; At_FS: 1; Atomic_Mass: 221.9995; SnuclR: 0; Mend_Group: '8a'),
(Mendeleev_No:  87; TPX_No: 105; Formula: 'Fr'; Standard_Formula: 'Fr[]l'; Name : 'Francium'; Tmelt: 289; Pmelt: 1.0; Tboil: 923; Density: 2.48; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 4.073; Hmelt: 2.0; Hvap: 64.0; At_FS: 1; Atomic_Mass: 223.02; SnuclR: 1.38629; Mend_Group: '1a'),
(Mendeleev_No:  88; TPX_No:  99; Formula: 'Ra'; Standard_Formula: 'Ra[]c,l'; Name : 'Radium'; Tmelt: 969; Pmelt: 1.0; Tboil: 1880; Density: 5.50; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.279; Hmelt: 7.7; Hvap: 132; At_FS: 1; Atomic_Mass: 226.0254; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No:  89; TPX_No:  79; Formula: 'Ac'; Standard_Formula: 'Ac[]c,l'; Name : 'Actinium'; Tmelt: 1323; Pmelt: 1.0; Tboil: 3590; Density: 10.07; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.17; Hmelt: 12.5; Hvap: 380; At_FS: 1; Atomic_Mass: 227.03; SnuclR: 1.38629; Mend_Group: '3b'),
(Mendeleev_No:  90; TPX_No:  80; Formula: 'Th'; Standard_Formula: 'Th[]c,l'; Name : 'Thorium'; Tmelt: 2023; Pmelt: 1.0; Tboil: 4880; Density: 11.72; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.06315; Hmelt: 13.8; Hvap: 540; At_FS: 1; Atomic_Mass: 232.0381; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No:  91; TPX_No:  81; Formula: 'Pa'; Standard_Formula: 'Pa[]c,l'; Name : 'Protactinium'; Tmelt: 1845; Pmelt: 1.0; Tboil: 4760; Density: 15.37; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 5.89; Hmelt: 12.34; Hvap: 554; At_FS: 1; Atomic_Mass: 231.0359; SnuclR: 1.38629; Mend_Group: '3b'),
(Mendeleev_No:  92; TPX_No:  82; Formula: 'U'; Standard_Formula: 'U[]c,l'; Name : 'Uranium'; Tmelt: 1408; Pmelt: 1.0; Tboil: 4470; Density: 18.97; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.194; Hmelt: 8.72; Hvap: 494; At_FS: 1; Atomic_Mass: 238.029; SnuclR: 0.0582133; Mend_Group: '3b'),
(Mendeleev_No:  93; TPX_No:  83; Formula: 'Np'; Standard_Formula: 'Np[]c,l'; Name : 'Neptunium'; Tmelt: 917; Pmelt: 1.0; Tboil: 4350; Density: 20.48; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.2657; Hmelt: 3.2; Hvap: 422; At_FS: 1; Atomic_Mass: 237.0482; SnuclR: 1.79176; Mend_Group: '3b'),
(Mendeleev_No:  94; TPX_No:  84; Formula: 'Pu'; Standard_Formula: 'Pu[]c,l'; Name : 'Plutonium'; Tmelt: 913; Pmelt: 1.0; Tboil: 3560; Density: 19.74; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.06; Hmelt: 2.761; Hvap: 350; At_FS: 1; Atomic_Mass: 239.052; SnuclR: 0.693134; Mend_Group: '3b'),
(Mendeleev_No:  95; TPX_No:  85; Formula: 'Am'; Standard_Formula: 'Am[]c,l'; Name : 'Americium'; Tmelt: 1449; Pmelt: 1.0; Tboil: 2340; Density: 13.67; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.047; Hmelt: 14.39; Hvap: 230; At_FS: 1; Atomic_Mass: 241.06; SnuclR: 1.79176; Mend_Group: '3b'),
(Mendeleev_No:  96; TPX_No:  86; Formula: 'Cm'; Standard_Formula: 'Cm[]c,l'; Name : 'Curium'; Tmelt: 1618; Pmelt: 1.0; Tboil: 3465; Density: 13.511; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.02; Hmelt: 14.65; Hvap: 340; At_FS: 1; Atomic_Mass: 244.06; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No:  97; TPX_No:  87; Formula: 'Bk'; Standard_Formula: 'Bk[]c,l'; Name : 'Berkelium'; Tmelt: 1259; Pmelt: 1.0; Tboil: 0; Density: 13.25; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.23; Hmelt: 0; Hvap: 0; At_FS: 1; Atomic_Mass: 249.08; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No:  98; TPX_No:  88; Formula: 'Cf'; Standard_Formula: 'Cf[]c,l'; Name : 'Californium'; Tmelt: 1173; Pmelt: 1.0; Tboil: 0; Density: 15.1; DensUnit: 'g/cm^3'; Tdens: 293; Pot_Ion: 6.29; Hmelt: 0; Hvap: 0; At_FS: 1; Atomic_Mass: 252.08; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No:  99; TPX_No:  89; Formula: 'Es'; Standard_Formula: 'Es[]c,l'; Name : 'Einsteinium'; Tmelt: 0; Pmelt: 1.0; Tboil: 0; Density: 0; DensUnit: '-'; Tdens: 0; Pot_Ion: 6.42; Hmelt: 0; Hvap: 0; At_FS: 1; Atomic_Mass: 252.08; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No: 100; TPX_No:  90; Formula: 'Fm'; Standard_Formula: 'Fm[]c,l'; Name : 'Fermium'; Tmelt: 0; Pmelt: 1.0; Tboil: 0; Density: 0; DensUnit: '-'; Tdens: 0; Pot_Ion: 6.50; Hmelt: 0; Hvap: 0; At_FS: 1; Atomic_Mass: 257.10; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No: 101; TPX_No:  91; Formula: 'Md'; Standard_Formula: 'Md[]c,l'; Name : 'Mendelevium'; Tmelt: 0; Pmelt: 0; Tboil: 0; Density: 0; DensUnit: '-'; Tdens: 0; Pot_Ion: 6.58; Hmelt: 0; Hvap: 0; At_FS: 1; Atomic_Mass: 258.10; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No: 102; TPX_No:  92; Formula: 'No'; Standard_Formula: 'No[]c,l'; Name : 'Nobelium'; Tmelt: 0; Pmelt: 0; Tboil: 0; Density: 0; DensUnit: '-'; Tdens: 0; Pot_Ion: 6.65; Hmelt: 0; Hvap: 0; At_FS: 1; Atomic_Mass: 259.10; SnuclR: 0; Mend_Group: '3b'),
(Mendeleev_No: 103; TPX_No:  93; Formula: 'Lr'; Standard_Formula: 'Lr[]c,l'; Name : 'Lawrencium'; Tmelt: 0; Pmelt: 0; Tboil: 0; Density: 0; DensUnit: '-'; Tdens: 0; Pot_Ion: 0; Hmelt: 0; Hvap: 0; At_FS: 1; Atomic_Mass: 262.11; SnuclR: 0; Mend_Group: '3b'),

(Mendeleev_No:   0; TPX_No:   0; Formula: 'e'; Standard_Formula: 'e-'; Name : 'electron'; Tmelt: 0; Pmelt: 0; Tboil: 0; Density: 0; DensUnit: '-'; Tdens: 0; Pot_Ion: 0; Hmelt: 0; Hvap: 0; At_FS: 1; Atomic_Mass: 0.00054858; SnuclR: 0; Mend_Group: '*'),
(Mendeleev_No:   1; TPX_No:   3; Formula: 'D'; Standard_Formula: 'D2'; Name : 'Deuterium'; Tmelt: 18.73; Pmelt: 0.168; Tboil: 23.60; Density: 0.1797; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 13.6018; Hmelt: 0.1966; Hvap: 1.226; At_FS: 2; Atomic_Mass: 2.01410222; SnuclR: 1.09861; Mend_Group: '1a'),
(Mendeleev_No:   1; TPX_No:   4; Formula: 'T'; Standard_Formula: 'T2'; Name : 'Tritium'; Tmelt: 20.62; Pmelt: 0.213; Tboil: 25.04; Density: 0.2691; DensUnit: 'g/l'; Tdens: 293; Pot_Ion: 13.6030; Hmelt: 0.234; Hvap: 1.393; At_FS: 2; Atomic_Mass: 3.01604972; SnuclR: 0.693147; Mend_Group: '1a')
);


implementation

end.
