unit TR_Class;

{*********************************************}
{                                             }
{   THERMOCHEMICAL CLASSES (Reactions)        }
{                                             }
{   (C) 2000 Belov G.V., IVTAN, Thermocenter  }
{                                             }
{   Please send bugs, comments and            }
{   suggestions to:                            }
{                                             }
{   gbelov@yandex.ru                           }
{                                             }
{*********************************************}

interface

uses Classes,SysUtils,Dialogs, TC_Class, AtConst;

function StringToFloat(const St : string; var R : double): boolean;

type matr_t = array[1..20,1..20] of extended;
     matr = ^matr_t;
     X_T = array[1..50] of extended;
     matr1 = array[1..400] of extended;
     IR_T = array[1..50] of integer;

type TCoefs = class
     StoichCoef: double;
     end;

type TReaction = class
  private
  FListOfFormulas: TStrings;
  FReaction: string;
  FComputeCoefficients: boolean;
  protected

  public
  constructor Create; virtual;
  destructor Destroy; override;
  property Formulas: TStrings read FListOfFormulas write FListOfFormulas;
  property Reaction: string read FReaction write FReaction;
  property ComputeCoefficients: boolean read FComputeCoefficients write FComputeCoefficients;
  end;

type TReactions = class
  private
  FListOfAllFormulas: TStrings;
  FListOfReactions: TStrings;
  FListOfProperties: TFullList;
  protected
  A,A1 : matr;
  public
  constructor Create; virtual;
  destructor Destroy; override;
  procedure ParseReaction(index: integer);
  property Reactions: TStrings read FListOfReactions write FListOfReactions;
  property AllFormulas: TStrings read FListOfAllFormulas write FListOfAllFormulas;
  end;

implementation
type st23 = string[24];
     El_t = array[1..MaxNumberOfElements] of integer;
     SK_t = array[1..MaxNumberOfElements] of single;
     Coeft = array[1..2,1..10] of single;
// Formula analyser
var GName: st23;
procedure Formula(Name: st23; var El : El_t; var SK : SK_t;
          var i_el : integer; var GGlCoef : single; var Levl : byte);

label 1,2,Fin;
var i,ii,j,jj,k,L,ier,M,Len : integer;
    S : st23;
    Ch : Char;
    GlCoef,Coef,IntCoef : single;
    Fcc : boolean;
    St2 : string[2];

   procedure ConvNum;
   var S : st23;
       Sn : single;
   begin
        S := '';
        while (Name[i] in ['0'..'9','.']) and ( i <= Length(Name)) do
          begin  S := S+Name[i];  Inc(i);  end;

        if S = '' then Exit;
        Val(S,Coef,ier); if ier <> 0 then
          begin
           ii := 200; jj := 200;
           ier := 1; Exit end;
        if Name[i] = '/' then
          begin
          S := ''; Inc(i);
        while (Name[i] in ['0'..'9','.']) and ( i <= Length(Name)) do
          begin  S := S+Name[i];  Inc(i);  end;

          Val(S,Sn,ier); if ier <> 0 then
            begin
           ii := 200; jj := 200;
            ier := 2; Exit end;
          if Sn = 0 then
            begin ier := 3;  Exit  end;
          Coef := Coef/Sn;
          end;
        Dec(i);
    end;  { ConvNum }

begin
    GlCoef := GGlCoef;
    Coef := 0; M := 0; ii := 0;
    Fcc := False;  IntCoef := 1;
    i := 0; Len := Length(Name);
    while i <= Len do
    begin Inc(i);
    if Not(Name[i] in
       ['A'..'Z','a'..'z','0'..'9','.','/','*','(',')',' ']) then
       begin ier := 7; Exit end
    else if Ord(Name[i]) > 32 then
      begin
      if (Name[i] = '*') then
        begin
        if i < Length(Name) then
          if Name[i+1] in ['0'..'9'] then
            Fcc := True;
        if (Coef = 0) and (M > 0) then
          SK[M] := SK[M] + GlCoef;
        M := 0;  if Levl = 1 then GlCoef := 1;
        goto 1;
        end;
      Inc(ii);
      if Levl = 1 then
      if (ii = 1) and (Name[i] in ['0'..'9']) then Fcc := True;
      if Name[i] in ['0'..'9'] then
        begin
        ConvNum;
        if ier <> 0 then
          begin i_el := 8; goto Fin end;
        if Fcc then
          begin GlCoef := GlCoef*Coef;
                IntCoef := IntCoef*Coef; Fcc := False end
        else Coef := Coef*GlCoef;
        if M > 0 then
          begin
          SK[M] := SK[M] + Coef;
          end;
        if i >= Length(Name) then goto Fin;
        goto 1;
        end;
      if Name[i] = '(' then
        begin
          if (Coef = 0) and (M > 0) then
          begin
          SK[M] := SK[M] + GlCoef;
          end;
        S := '';
          j := 1;
          repeat
          Inc(i);
          if i > 23 then
            begin i_el := 10; ier := 10; Exit; end;

{*}       if Name[i] = '(' then
            begin Inc(j); end
          else if Name[i] = ')' then
            begin Dec(j); end;
          if j <> 0 then S := S+Name[i];
          until j = 0;
          if i <= Length(Name) then
            if Name[i+1] in ['0'..'9'] then
              begin
              Inc(i);  ConvNum;
              if ier <> 0 then
                begin i_el := 9; goto Fin end;
              GlCoef := GlCoef*Coef;  IntCoef := IntCoef*Coef;
              end;
          if Levl = 1 then Gname := Name;
          Inc(Levl);
          GGlCoef := GlCoef;
          Formula(S,El,SK,i_el,GlCoef,Levl);
          GGlCoef := GGlCoef/IntCoef; GlCoef := GlCoef/IntCoef;
          M := 0; if Levl = 1 then
            begin
            GlCoef := 1; Name := Gname;
            end;
        goto 1;
        end;
      if Name[i] in ['A'..'Z','a'..'z'] then
        begin
          if (Coef = 0) and (M > 0) then
          begin
          SK[M] := SK[M] + GlCoef;
          end;
          Coef := 0;
          k := 0; jj := 1; St2 := '';
          while (Name[i] in ['A'..'Z','a'..'z']) and (i <= Length(Name)) do
          begin
            if (jj = 2) and (Name[i] in ['A'..'Z']) then Break;
            St2 := St2 + Name[i];
            Inc(i); Inc(jj);
            if jj > 2 then Break;
          end;
          if St2 <= ' ' then Break;

          L := 0;
          for j := 1 to 106 do
            if St2 = AtomicData[j].Formula then
              begin  L := j;   Break   end;
        if (L = 0) then
          begin
           i_el := 10; goto Fin  end;

        for j := 1 to i_el do
          if El[j] = L then begin M := j; goto 2; end;
        Inc(i_el);
        if i_el > 5 then goto Fin;
        El[i_el] := L;
        M := i_el;
2:
        if i > Length(Name) then goto Fin;
        Dec(i); goto 1;
        end;

1:    end;
    end;
Fin:  if i_el < 6 then
        if Name[Length(Name)] in ['A'..'Z','a'..'z'] then
          SK[M] := SK[M]+GlCoef;
      Dec(Levl);
end;

procedure FormAn(var EL_NO: TEL_NOS; var EL_QTY: TEL_QTY;
                 var IonCharge, PState: ShortInt;
                 var SNM : st23; var SK : SK_t;
                 var ier,i_el : integer; var Sing : boolean);
label 1,Esc;
const elg : st23 ='e(-g)';
var Name,S : st23;
    El : El_t;
    i,j,k,jj,L : integer;
    GlCoef,Sn : single;
    OK : boolean;
    Ch : char;
    FS,Levl : byte;
begin
TRY
    IonCharge := 0;
    PState := 0;
    FS := 0;
    for i :=1 to MaxNumberOfElements do
      begin
      EL_NO[i] := 0; EL_QTY[i] := 0;
      end;
    for i := 1 to 24 do Name[i] := ' ';
    j := 0; Name := '';
    for i := 1 to Length(Snm) do
      if Snm[i] = ';' then
        begin Name := Name+')'; Break; end
      else
      if not (Snm[i] in [' ','+','-']) then Name := Name + SNM[i];   // skip +, - and spaces
    FS := 0;   ier := 1;  Sing := False; SNM[24] := ' ';
    if Name = elg then
      begin
      IonCharge := -1; i_el := 0; ier := 0;  PState := 2; Exit;
      end;

    i := Length(Name); OK := False;
    if (i < 4) or (Name[i] <> ')') then Exit;
    if (Name[i-3] = '(') and
      (Name[i-1] in ['a'..'z']) and
      (Name[i-2] in ['+','-']) then
      begin
      Ch := Name[i-1];
      if Name[i-2] in ['+','-'] then
        case Ch of
        'g' : begin FS := 2; SNM[24] := 'g'; end;
        'a' : begin FS := 5; SNM[24] := 'a'; end;
        end;
      end;
      if (Pos('(gl',Name) > 0) or (Pos('(am',Name) > 0) then
        FS := 1
      else
      repeat
1:      if Ord(Name[i]) > 128 then
          begin  ier := 4; goto Esc  end
        else if Name[i] = ' ' then Dec(i)
        else if Name[i] <> ')' then Break
        else
          begin
          if (Name[i-2] = '(') then
            begin
              Ch := Name[i-1];
              case Ch of
              's','l','c' : FS := 1;
              'g' : FS := 2;
              'a' : FS := 5;
              end;
            Name[i] := ' '; Name[i-1] := ' '; Name[i-2] := ' ';
            i := i-3; goto 1;
            end
          else
            if (Name[i-3] = '(') and
               (Name[i-1] in ['a'..'z']) and
               (Name[i-2] in ['A'..'Z']) then
            begin
              for jj := i downto i-3 do
                Name[jj] := ' ';
              i := i-4;
              OK := True;
            end
          else
            if (Name[i-3] = '(') and
               (Name[i-1] in ['A'..'Z']) and
               (Name[i-2] in ['A'..'Z']) then
                 OK := True
          else
            begin
              j := i; Sn := 0;
              Name[j] := ' ';
              repeat
                Dec(j);
                if Name[j] in ['a','g'] then
                  begin
                  if not(Name[j-1] in ['A'..'Z']) then
                    if SNM[24] in [' ','a','g'] then
                      SNM[24] := Name[j];
                  end
                else if Name[j] = '(' then OK := True
                else if Name[j] = '+' then Sn := 1
                else if Name[j] = '-' then Sn := -1
                else
                if Name[j] in ['0'..'9'] then
                  begin
                  S := Name[j]; Name[j] := ' ';
                  Dec(j);
                  if Name[j] in ['+','-'] then
                    S := Name[j] + S;
                  Val(S,Sn,ier); Name[j] := ' ';
                  if ier <> 0 then
                    begin ier := 5; goto Esc end;
                  end;
                Name[j] := ' ';
              until OK;
              if SNM[24] = 'g' then
                begin
                FS := 2;
                if Sn > 0 then FS := 3;
                if Sn < 0 then FS := 4;
                PState := Round(Abs(Sn));
                end;
              if SNM[24] = 'a' then
                begin
                FS := 5;
                if Sn > 0 then FS := 6;
                if Sn < 0 then FS := 7;
                PState := Round(Abs(Sn));
                end;
              i := j-1;
            end
          end;
        if i < 4 then OK := True;
      until OK;
      if FS = 0 then
      case SNM[24] of
        's' : FS := 0;
        'l' : FS := 1;
        'g' : FS := 2;
        'a' : FS := 5;
      end;

    for i := 20 downto 1 do
      if Name[i] <> ' ' then
        begin
        Name[0] := Chr(i);
        Break
        end;
    i_el := 0; GlCoef := 1;
    Levl := 1;
    for i := 1 to 5 do  SK[i] := 0;
    Formula(Name,El,SK,i_el,GlCoef,Levl);
    if i_el > 5 then
      begin  ier := i_el*10; goto Esc  end;
    Sing := False;
      for i := 1 to i_el do
        begin
        if (Abs(Frac(SK[i])) > 1.e-3) or (SK[i] > 255) then
          Sing := True;
        end;
      for i := 1 to i_el do
        begin
        EL_NO[i] := EL[i];
if EL_NO[i] = 0 then showmessage('i = '+inttostr(i));
        EL_QTY[i] := SK[i]
        end;
      ier := 0;

Esc:
      PState := FS;
    j := 0; Snm[24] := ' ';
    for i := 1 to 23 do
      if Snm[i] > ' ' then Inc(j);

    if ier <> 0 then Exit;
    j := 0;
    for i := 1 to 5 do
      if EL_NO[i] > 0 then begin j := 1; Break; end;
    if (j = 0) then ier := 1;
    if FS = 0 then ier := 1;

EXCEPT
     MessageDlg(
     'Formula analysis error !',mtError,[mbOk],0);
END;
end;

// Computational

procedure LAFGR(var a1: matr1; var M,N,IRANK : integer;
                var IROW,ICOL : IR_T);
{ Procedure from the book: M.G. Levin Software for the solution of
  linear algebra problems with computer, Kishinev:"Shtiniza",
  1990, 200p. in Russian
  Input parameters:
  A - input rectangular matrix;
  M - rows number of A;
  N - columns number of A.
  Output parameters:
  A - name of the output matrix, which contains 5 submatrices:
    L,U,C,D,H;
  IRANK - rank of A;
  IROW - vector,having length , which contains basic rows indexes;
  ICOL - vaector,having length N, which contains basic columns inexes.
}
label 4,12,15,20,25,27,192;
Const Eps = 1.e-7;
var i,j,L,ii,jj,kk,NM,IR,IC,MM,LL,NCOL : integer;
    Piv,Hold,TOL,save : extended;
begin
    if (M=0) or (N=0) then
      begin
      IRANK := -1;
      Exit
      end;
4:  IRANK := 0;
    Piv := 0;
    jj := 0;
    for j := 1 to N do
      begin
      ICOL[j] := j;
      for i := 1 to M do
        begin
        Inc(jj);
        Hold := a1[jj];
        if Abs(Piv) - Abs(Hold) < 0 then
          begin
          Piv := Hold;
          IR := i;
          IC := j
          end
        end
      end;    { 6 }
{ *** }
    for i := 1 to M do
      IROW[i] := i;
    TOL := Abs(Eps*Piv);
    NM := N*M;
    NCOL := M;
    while NCOL <= NM do
      begin
      if Abs(Piv) - TOL <= 0 then goto 20;
      Inc(IRANK);
      jj := IR - IRANK;
      if jj <= 0 then goto 12;
      j := IRANK;
      while j <= NM do
        begin
        i := j + jj;
        save := a1[j];
        a1[j] := a1[i];
        a1[i] := save;
        j := j + M
        end;
      jj := IROW[IR];
      IROW[IR] := IROW[IRANK];
      IROW[IRANK] := jj;
12:   jj := (IC - IRANK) * M;
      if jj <= 0 then goto 15;
      kk := NCOL;
      for j := 1 to M do
        begin
        i := kk + jj;
        save := a1[kk];
        a1[kk] := a1[i];
        Dec(kk);
        a1[i] := save;
        end;
      jj := ICOL[IC];
      ICOL[IC] := ICOL[IRANK];
      ICOL[IRANK] := jj;
15:   kk := IRANK + 1;
      MM := IRANK - M;
      LL := NCOL + MM;
      if MM >= 0 then goto 25;
      jj := LL;
      save := Piv;
      Piv := 0;
      for j := kk to M do
        begin
        Inc(jj);
        Hold := a1[jj]/save;
        a1[jj] := Hold;
        L := j - IRANK;
        if IRANK - N >= 0 then goto 192;
          begin
          ii := jj;
          for i := kk to N do
            begin
            ii := ii + M;
            MM := ii - L;
            a1[ii] := a1[ii]-Hold*a1[MM];
            if Abs(a1[ii]) - Abs(Piv) > 0 then
              begin
              Piv := a1[ii];
              IR := j;
              IC := i;
              end
            end
          end;
192:    end;
      NCOL := NCOL + M;
      end;

20:   if IRANK-1 < 0 then Exit
        else if IRANK - 1 = 0 then goto 25;
      IR := LL;
      for j := 2 to IRANK do
        begin
        ii := j - 1;
        IR := IR - M;
        jj := LL;
        for i := kk to M do
          begin
          Hold := 0;
          Inc(jj);
          MM := jj;
          IC := IR;
          for L := 1 to ii do
            begin
            Hold := Hold + a1[MM]*a1[IC];
            Dec(IC);
            MM := MM - M
            end;
          a1[MM] := a1[MM] - Hold
          end;
        end;
25:   if N-IRANK <= 0 then Exit;
      IR := LL;
      kk := LL + M;
      for j := 1 to IRANK do
        begin
        i := kk;
        while i <= NM do
          begin
          jj := IR;
          LL := i;
          Hold := 0;
          ii := j;
27:       Dec(ii);
          if ii > 0 then
            begin
            Hold := Hold - a1[jj]*a1[LL];
            jj := jj - M;
            Dec(LL);
            goto 27;
            end;
          a1[LL] := (Hold - a1[LL])/a1[jj];
          i := i + M ;
          end;
        Dec(IR)
        end;
end;

procedure Gauss(var a : matr; var x : X_T; var n,kod : integer);
var maxabs,v : extended;
    i,j,k,l : integer;
    begin
    kod := 0;
    for i :=1 to n do
      begin
      maxabs := abs(a^[i,i]); k:= i;
         for l :=i+1 to n do
           if abs(a^[l,i]) > maxabs then
              begin maxabs := abs(a^[l,i]);
              k :=l;
              end;
           if k <> i then
             for j :=i to n+1 do
               begin v := a^[i,j]; a^[i,j] := a^[k,j];
                 a^[k,j] := v;
                 end;
             v := a^[i,i];
             if v = 0 then
                begin
                kod := 1;
                Exit;
                end;
             for j := i to n+1 do a^[i,j] := a^[i,j]/v;
             for l := i+1 to n do
               begin v := a^[l,i];
                 for j := i+1 to n+1 do
                   a^[l,j] := a^[l,j]-a^[i,j]*v
                   end
               end;
            x[n] := a^[n,n+1];
            for i := n-1 downto 1 do
              begin x[i] := a^[i,n+1];
                    for j := i+1 to n do
                    x[i] := x[i] - a^[i,j]*x[j];
              end;
   end;

function StringToFloat(const St : string; var R : double): boolean;
var Code,i : integer;
    ST_RES : string;
begin
  St_RES := st; Result := False;
  i := Length(St_RES);
  while (Length(ST_RES) > 0) and (ST_RES[i] <= ' ') do
    begin
    Delete(ST_RES,i,1);
    Dec(i);
    end;
  repeat
  i := Pos(',',ST_RES);
  if i > 0 then ST_RES[i] := '.' else Break;
  until i > 0;
  System.Val(ST_RES,R,Code);
  if Code = 0 then Result := True;
{    MessageDlg('Invalid value: '+st,mtError,[mbOk],0)}
end;

// TREactions
constructor TReactions.Create;
begin
  inherited Create;
  FListOfReactions := TStringList.Create;
  FListOfAllFormulas := TStringList.Create;
  (FListOfAllFormulas as TStringList).Sorted := True;
  (FListOfAllFormulas as TStringList).Duplicates := dupIgnore;
  FListOfProperties := TFullList.Create;
  New(a); New(a1);
end;

destructor TReactions.Destroy;
var i: integer;
begin
  for i := 0 to FListOfReactions.Count-1 do FListOfReactions.Objects[i].Free;
  FListOfReactions.Free;
  FListOfAllFormulas.Free;
  FListOfProperties.Free;
  Dispose(a); Dispose(a1);
  inherited Destroy;
end;

//  TReaction
constructor TReaction.Create;
begin
  inherited Create;
  FListOfFormulas := TStringList.Create;
  FComputeCoefficients := True;
end;

destructor TReaction.Destroy;
var i: integer;
begin
  for i := 0 to FListOfFormulas.Count-1 do FListOfFormulas.Objects[i].Free;
  FListOfFormulas.Free;
  inherited Destroy;
end;

procedure TReactions.ParseReaction(index: integer);
Label 1,2,3,5,6,9;
var i: integer;
    CD,CName,st10: string;
    Ok,Stnmb: boolean;
    EL_NO: TEL_NOS;
    EL_QTY: TEL_QTY;
    SNM : st23;
    ier,i_el : integer;
    Sn : double;
//  forman_a
    IonCharge, PState: ShortInt;
    SK : SK_t;
    Sing: boolean;
//

var ii,j,jj,k,M,irec,
    LL,NL,NR,NT,iter,irank,Kod,Xmin : integer;
    St : string;
    Ch : char;
    Bt,Byt,Leng,Rli,NOfR : byte;
    El : array[1..20] of byte;
    Bal : array[1..20] of single;
    Min,XX,Cp,SS,H,Tvap : single;
    S : string;
    No,No1,No2 : set of byte;
    B : matr1;
    C,X : X_T;
    IROW,ICOL : IR_T;
    Coef : Coeft;
    Codes : array[1..2,1..10,1..2*MaxNumberOfElements] of double;
    Coefs: TCoefs;
    REaction: TReaction;
begin
    Reaction := FListOfReactions.Objects[index] as TReaction;
    NOfR := 1; ier := 0;
    for i := 1 to 2 do
      for j := 1 to 10 do
        Coef[i,j] := 0;

    for i := 1 to 10 do
      for j := 1 to 2*MaxNumberOfElements do
        begin
        Codes[1,i,j] := 0;
        Codes[2,i,j] := 0;
        end;

   CD := FListOfReactions[index];
   CName := '';
   st10 := '';
   Stnmb := True;
   rli := 1; k := 1;
   NL := 0; NR := 0;
   i := 1;
   repeat
   if i > Length(CD) then goto 1;
   if (Cd[i] = ' ') and (i < Length(Cd)) then goto 2;

       Byt := Ord(Cd[i]);
       case Cd[i] of
       '!'..Char(39),'/',':','<','>'..'@','['..'_',Char(123)..Char(255):
          begin
          Raise Exception.Create('Invalid symbol: '+CD[i]);
          Exit;
         end;
       end;
      if ((Cd[i] in ['+','-']) and   { +, -  for ions }
         (i < Length(Cd)) and (i > 1) and
         ((Cd[i-1] = '('))) then
           begin
           Cname := Cname + Cd[i];
           goto 2;
           end;
1:
       if (i > Length(Cd)) or (Cd[i] = '=') or (Cd[i] = '+') then
          begin
          Stnmb := True;
          Sn := 0;
          if st10 <> '' then
             begin
             if not StringToFloat(st10,Sn) then
                begin
                Str(NOfR,St); ier := 11;
                Raise Exception.Create('Invalid number: '+st10);
                Exit;
                end;
             end
             else
          if Sn = 0 then Sn := 1;
          Coefs := TCoefs.Create;
          if RLi = 1 then
            Coefs.StoichCoef := -Sn
          else
            Coefs.StoichCoef := Sn;
          Coef[rli,k] := Sn;
          if (Cname[Length(Cname)] <> ')') then Cname := Cname + '(g)';
          SNM := CName;
          FormAn(EL_NO, EL_QTY,IonCharge, PState,SNM, SK,ier,i_el,Sing);
          if ier <> 0 then
              begin
              Raise Exception.Create('Invalid chemical formula: '+CName);
              Exit;
              end;
          Reaction.FListOfFormulas.AddObject(CName,Coefs);
          FListOfAllFormulas.Add(CName);
          for ii := 1 to MaxNumberOfElements do
            begin
            if EL_NO[ii] = 104 then Continue; // skip el gas
            Codes[rli,k,2*ii-1] := EL_NO[ii];
            Codes[rli,k,2*ii] := EL_QTY[ii];
            end;
          k := k+1;
          Cname := '';
          st10 := '';
          if Byt = 61 then  { '=' }
             begin
             NL := k-1;   k := 1;   rli := 2;
             end;
          goto 2;
          end;
       if (Byt > 39) and (Byt < 128) then
       begin
       if Byt in [46,48..57] then { . 0..9 }
       if Stnmb then
          begin
          st10 := st10 + Cd[i];
          goto 2;
          end
       else
          begin
          Cname := Cname + Cd[i];
          goto 2;
          end;
       if (Byt > 64) or (Byt in [40..42,44,59]) then
                                { letter, ()*,;}
             begin
             Stnmb := False;
             Cname := Cname + Cd[i];
             goto 2;
             end;
        end;
2:      i := i+1;
        until i > Length(Cd)+1;

        NR := k-1;
      if (NL = 0) or (NR = 0) then
       begin
       Raise Exception.Create('Invalid reaction equation:'#13+CD);
       Exit;
       end;
        No1 :=[];
        M := 1;
        No := No + [Byte(Round(Codes[1,1,1]))];
        for i := 1 to NL do
        if Coef[1,i] <> 0 then
          begin
          for j := 1 to MaxNumberOfElements do
           if Codes[1,i,2*j-1] <> 0 then
             if NOT (Byte(Round(Codes[1,i,2*j-1])) in No1) then
               begin
               Inc(M);
               No1 := No1 + [Byte(Round(Codes[1,i,2*j-1]))];
               end;
5:
          end;         { coef[1,...] }
        No2 := [];
        for i := 1 to NR do
        if Coef[2,i] <> 0 then
          begin
          for j := 1 to MaxNumberOfElements do
            if Codes[2,i,2*j-1] <> 0 then
              if NOT (Byte(Round(Codes[2,i,2*j-1])) in No2) then
                begin
                Inc(M);
                No2 := No2 + [Byte(Round(Codes[2,i,2*j-1]))];
                end;

6:      end;
        if No1 <> No2 then
              begin
              Raise Exception.Create('Invalid reaction equation:'#13+CD);
              Exit;
              end;
        M := 0;
        for Byt := 1 to 106 do
        if Byt in No1 then
          begin
          Inc(M);  El[M] := Byt;
          end;
{ M - quantity of chemical elements,
  El - array of Mendeleev numbers of chemical elements }
        for i := 1 to 20 do
          for j := 1 to 20 do
            a^[i,j] := 0;
        jj := 0;
        for i := 1 to 10 do
        if Coef[1,i] <> 0 then
          begin
          for j := 1 to MaxNumberOfElements do
            if Codes[1,i,2*j-1] <> 0 then
              for k := 1 to M do
                if Codes[1,i,2*j-1] = El[k] then
                  a^[k,i] := a^[k,i] + Codes[1,i,2*j];
            jj := i;
          end;         { coef[1,...] }
        for i := 1 to 10 do
        if Coef[2,i] <> 0 then
          begin
          for j := 1 to MaxNumberOfElements do
            if Codes[2,i,2*j-1] <> 0 then
              for k := 1 to M do
                if Codes[2,i,2*j-1] = El[k] then
                  a^[k,i+jj] := a^[k,i+jj] - Codes[2,i,2*j];
        end;
        NT := NL + NR;  { total number of reaction participants }

      OK := False;
      for i := 1 to 20 do
        for j := 1 to 20 do
          a1^[i,j] := 0;
        iter := 0;
        for i := 1 to NT do c[i] := 1;

9:
        for i := 1 to M do
          for j := 1 to NT do
            a1^[i,j] := a^[i,j]*c[j];

    for i := 1 to M do
      for j := 1 to NT do
        b[(j-1)*M + i] := a^[i,j]*c[j];

    LAFGR(B,M,NT,IRANK,IROW,ICOL);

for i := 1 to IRANK do
  begin
  for j := 1 to IRANK do
    a^[i,j] := a1^[IROW[i],ICOL[j]];
  a^[i,IRANK+1] := 0;
  for j := IRANK+1 to NT do
    a^[i,IRANK+1] := a^[i,IRANK+1] - a1^[IROW[i],ICOL[j]];
  end;

  Gauss(a,x,IRANK,Kod);
  if Kod <> 0 then
    begin
    Raise Exception.Create('Invalid reaction equation:'#13+CD);
    Exit;
    end;

      for i := 1 to IRANK do
        if (x[i] <= 0) then
          begin
          Inc(iter);
          if iter > 50 then
            begin
            Raise Exception.Create('Invalid reaction equation:'#13+CD);
            Exit;
            end
        else
          begin
          for k := 1 to M do
            for j := 1 to NT do
              a^[k,j] := a1^[k,j]/c[j];
          c[ICOL[i]] := c[ICOL[i]]/2;
          goto 9;
          end
        end;

        for i :=  1 to IRANK do x[i] := x[i]*c[ICOL[i]];
        for i :=  1 to IRANK do c[ICOL[i]] := x[i];

{ normalize the coefficients }

      for i := 1 to NT do
        if Frac(c[i]+1.e-7) > 1.e-6 then
          begin
          for j := 2 to 99 do
            if Frac(c[i]*j+1.e-7) < 1.e-6 then
              begin
              for  k := 1 to NT do c[k] := c[k] * j;
              goto 3;
              end;
3:        end;

      Min := 1.e30;
      for i := 1 to NT do
        if Min > c[i] then Min := c[i];

    for i := 1 to NT do
      if c[i] < 1.e-6 then
        begin
        Raise Exception.Create('Invalid reaction equation:'#13+CD);
        Exit;
        end;
    for i := 1 to 20 do Bal[i] := 0;
  for k := 1 to M do
    for i := 1 to NL do
      for j := 1 to MaxNumberOfElements do
      if El[k] = Codes[1,i,2*j-1] then
        begin
        Bal[k] := Bal[k] + Coef[1,i]*Codes[1,i,2*j]
        end;
  for k := 1 to M do
    for i := 1 to NR do
      for j := 1 to MaxNumberOfElements do
      if El[k] = Codes[2,i,2*j-1] then
        begin
        Bal[k] := Bal[k] - Coef[2,i]*Codes[2,i,2*j];
        end;
    OK := False;         { }
    for i := 1 to M do
      if Abs(Bal[i]) > 1.e-3 then OK := True;
    if OK and Reaction.FComputeCoefficients then
        begin
        for i := 1 to NL do
          begin
          Coef[1,i] := C[i];
          (Reaction.FListOfFormulas.Objects[i-1] as TCoefs).StoichCoef := -C[i];
          end;
        for i := 1 to NR do
          begin
          Coef[2,i] := C[i+NL];
          (Reaction.FListOfFormulas.Objects[i+NL-1] as TCoefs).StoichCoef := C[i+NL];
          end;
        Cd := '';
{ Restore reaction equation with recalculated coefficients }
        for i := 1 to NL do
          begin
          if c[i] <= 0 then c[i] := 1.e-30;
          S := FormatFloat('0.######',C[i]);
          CName := Reaction.FListOfFormulas[i-1];
          if Abs(c[i] - 1) < 1.e-7 then S := '';
          Cd := Cd+S+Cname;
          if i <> NL then Cd := Cd + ' + '
          else Cd := Cd + ' = ';
          end;
        for i := 1 to NR do
          begin
          if c[i+NL] <= 0 then c[i+NL] := 1.e-30;
          S := FormatFloat('0.######',C[i+NL]);
          CName := Reaction.FListOfFormulas[i+NL-1];
          if Abs(c[i+NL] - 1) < 1.e-7 then S := '';
          Cd := Cd+S+Cname;
          if i <> NR then Cd := Cd + ' + ';
          end;
        Reaction.Reaction := CD;
        end;
end;

end.